Splices a solid color into the image

- « Imagick::sparseColorImage

- Imagick::spreadImage »

- PHP Manual
- Imagick
- Splices a solid color into the image

# Imagick::spliceImage

(PECL imagick 2, PECL imagick 3)

Imagick::spliceImage — Splices a solid color into the image

### Description

public Imagick::spliceImage(
int `$width`,
int `$height`,
int `$x`,
int `$y`
): bool

Splices a solid color into the image.

### Parameters

`width`

`height`

`x`

`y`

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::spliceImage()

    <?phpfunction spliceImage($imagePath, $startX, $startY, $width, $height) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->spliceImage($width, $height, $startX, $startY);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>